Search

Search reminders

Search reminders by title or content. Part of the global search API that searches across multiple entity types.

GET /v1/search/reminders

Parameters

Query parameters

searchQuery
string
startDate
string
endDate
string
isComplete
boolean
take
integer
cursor
string

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
data
object required
data.items
array<object> required
data.items[].id
string (uuid) required
data.items[].user_id
string
data.items[].text
string | null
data.items[].due_at_date
string (date-time)
data.items[].due_at_time
string (date-time)
data.items[].is_complete
boolean
data.items[].email_sent
boolean
data.items[].push_notification_sent
boolean
data.items[].recurrence
string | null
data.items[].last_completed_at
string (date-time)
data.items[].next_occurrence_at
string (date-time)
data.items[].created_at
string (date-time)
data.items[].is_overdue
boolean
data.items[].next_cursor
string
data.items[].reminders_contacts
array<object>
data.items[].users
object | null
data.nextCursor
string (uuid) | null required
data.count
integer required

Example

{
  "error": false,
  "data": {
    "items": [
      {
        "id": "00000000-0000-0000-0000-000000000000"
      }
    ],
    "nextCursor": "00000000-0000-0000-0000-000000000000",
    "count": 0
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v1/search/reminders \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026